Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client.streaming
Interface MessageOutputStream.DataReceiver

All Known Implementing Classes:
  ConnectionDataReceiver

Enclosing class:
  MessageOutputStream

    public static interface MessageOutputStream.DataReceiver

Define a component to receive data flushed from this stream

Method Summary
`MessageOutputStream.WriteStatus` | `writeData(byte[] buf, int off, int size)` Nonblocking write
`boolean` | `writeInProcess()`

Method Detail

### writeData

    MessageOutputStream.WriteStatus writeData(byte[] buf,
                                              int off,
                                              int size)

  Nonblocking write

### writeInProcess

    boolean writeInProcess()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD